/*
 * testPoint.cpp
 *
 *  Created on: Sep 3, 2016
 *      Author: zeil
 */

#include <point.h>

#include <string>

#include <gtest/gtest.h>

namespace {

using namespace std;

// The fixture for testing class Point.
class PointTests : public ::testing::Test {
 public:
  Point p1;
  Point p2;

  virtual void SetUp() {
    p1.x = p1.y = 0;
    p2.x = 3;
    p2.y = 4;
  }

  virtual void TearDown() {
  }

};

TEST_F (PointTests, constructor) {
  Point p0;
  EXPECT_EQ (0, p0.x);
  EXPECT_EQ (0, p0.y);

  Point p (23, 46);
  EXPECT_EQ (23, p.x);
  EXPECT_EQ (46, p.y);

}

TEST_F (PointTests, assignment) {
  EXPECT_EQ (0, p1.x);
  EXPECT_EQ (0, p1.y);

  p1 = p2;

  EXPECT_EQ (3, p1.x);
  EXPECT_EQ (4, p1.y);
}


}  // namespace





